FT_EEPROM_232R

com.ftdi.j2xx

## Class FT_EEPROM_232R

- java.lang.Object
- - com.ftdi.j2xx.FT_EEPROM
  - - com.ftdi.j2xx.FT_EEPROM_232R

-     public class FT_EEPROM_232R
      extends FT_EEPROM

  EEPROM data structure on the 232R

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FT_EEPROM_232R.CBUS` CBus Option on the FT232R

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `CBus0` Hardware Option - CBus0 Mux Control
    `byte` | `CBus1` Hardware Option - CBus1 Mux Control
    `byte` | `CBus2` Hardware Option - CBus2 Mux Control
    `byte` | `CBus3` Hardware Option - CBus3 Mux Control
    `byte` | `CBus4` Hardware Option - CBus4 Mux Control
    `boolean` | `ExternalOscillator` Hardware Option - External Oscillator Caution: Setting this bit without an external oscillator fitted to your design will render the device unusable.
    `boolean` | `HighIO` Drive Option - High Current IO
    `boolean` | `InvertCTS` Hardware Option - Invert CTS signal
    `boolean` | `InvertDCD` Hardware Option - Invert DCD signal
    `boolean` | `InvertDSR` Hardware Option - Invert DSR signal
    `boolean` | `InvertDTR` Hardware Option - Invert DTR signal
    `boolean` | `InvertRI` Hardware Option - Invert RI signal
    `boolean` | `InvertRTS` Hardware Option - Invert RTS signal
    `boolean` | `InvertRXD` Hardware Option - Invert RXD signal
    `boolean` | `InvertTXD` Hardware Option - Invert TXD signal
    `boolean` | `LoadVCP` Driver Option - Load Virtual Com Port

    - ### Fields inherited from class com.ftdi.j2xx.FT_EEPROM

      `DeviceType, Manufacturer, MaxPower, Product, ProductId, PullDownEnable, RemoteWakeup, SelfPowered, SerialNumber, SerNumEnable, VendorId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FT_EEPROM_232R()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HighIO

          public boolean HighIO

      Drive Option - High Current IO

    - #### ExternalOscillator

          public boolean ExternalOscillator

      Hardware Option - External Oscillator Caution: Setting this bit without an external oscillator fitted to your design will render the device unusable.

    - #### InvertTXD

          public boolean InvertTXD

      Hardware Option - Invert TXD signal

    - #### InvertRXD

          public boolean InvertRXD

      Hardware Option - Invert RXD signal

    - #### InvertRTS

          public boolean InvertRTS

      Hardware Option - Invert RTS signal

    - #### InvertCTS

          public boolean InvertCTS

      Hardware Option - Invert CTS signal

    - #### InvertDTR

          public boolean InvertDTR

      Hardware Option - Invert DTR signal

    - #### InvertDSR

          public boolean InvertDSR

      Hardware Option - Invert DSR signal

    - #### InvertDCD

          public boolean InvertDCD

      Hardware Option - Invert DCD signal

    - #### InvertRI

          public boolean InvertRI

      Hardware Option - Invert RI signal

    - #### CBus0

          public byte CBus0

      Hardware Option - CBus0 Mux Control

    - #### CBus1

          public byte CBus1

      Hardware Option - CBus1 Mux Control

    - #### CBus2

          public byte CBus2

      Hardware Option - CBus2 Mux Control

    - #### CBus3

          public byte CBus3

      Hardware Option - CBus3 Mux Control

    - #### CBus4

          public byte CBus4

      Hardware Option - CBus4 Mux Control

    - #### LoadVCP

          public boolean LoadVCP

      Driver Option - Load Virtual Com Port

  - ### Constructor Detail

    - #### FT_EEPROM_232R

          public FT_EEPROM_232R()

About FTDI | FTDI Licence Terms